Skip to main content
GET
/
v1
/
api
/
markets
/
trades
Get market trades
curl --request GET \
  --url https://api.dotprediction.io/v1/api/markets/trades \
  --header 'X-API-Key: <api-key>'
{
  "trades": [
    {
      "trade_id": "<string>",
      "market_id": "<string>",
      "platform": "<string>",
      "side": "<string>",
      "price": 123,
      "size": 123,
      "timestamp": 123,
      "outcome": "<string>",
      "taker": true,
      "transaction_hash": "<string>",
      "user": {
        "name": "<string>",
        "pseudonym": "<string>",
        "profile_image": "<string>"
      },
      "metadata": {}
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>"
  },
  "meta": {
    "request_time": 123,
    "market_id": "<string>",
    "platform": "<string>",
    "data_freshness": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.

Query Parameters

market_id
string
required

The market ID to fetch trades for.

provider
enum<string>
required

The prediction market platform to query.

Available options:
kalshi,
polymarket
limit
integer

Maximum number of trades to return.

cursor
string

Pagination cursor from a previous response.

takerOnly
boolean

Only return taker trades.

Response

A paginated list of trades.

trades
object[]
pagination
object
meta
object